nxt.http.callers

## Class GetShufflersCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetShufflersCall>
  - - nxt.http.callers.GetShufflersCall

-     public class GetShufflersCall
      extends APICall.Builder<GetShufflersCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetShufflersCall` | `account(long account)`
    `GetShufflersCall` | `account(java.lang.String account)`
    `GetShufflersCall` | `adminPassword(java.lang.String adminPassword)`
    `static GetShufflersCall` | `create()`
    `GetShufflersCall` | `includeParticipantState(boolean includeParticipantState)`
    `GetShufflersCall` | `secretPhrase(java.lang.String secretPhrase)`
    `GetShufflersCall` | `shufflingFullHash(byte[] shufflingFullHash)`
    `GetShufflersCall` | `shufflingFullHash(java.lang.String shufflingFullHash)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetShufflersCall create()

    - #### includeParticipantState

          public GetShufflersCall includeParticipantState(boolean includeParticipantState)

    - #### secretPhrase

          public GetShufflersCall secretPhrase(java.lang.String secretPhrase)

      Overrides:
        `secretPhrase` in class `APICall.Builder<GetShufflersCall>`

    - #### account

          public GetShufflersCall account(java.lang.String account)

    - #### account

          public GetShufflersCall account(long account)

    - #### adminPassword

          public GetShufflersCall adminPassword(java.lang.String adminPassword)

    - #### shufflingFullHash

          public GetShufflersCall shufflingFullHash(java.lang.String shufflingFullHash)

    - #### shufflingFullHash

          public GetShufflersCall shufflingFullHash(byte[] shufflingFullHash)